Package org.apache.sling.caconfig.spi

## Class ConfigurationCollectionPersistData

- java.lang.Object
- - org.apache.sling.caconfig.spi.ConfigurationCollectionPersistData

    @ProviderType
    public final class ConfigurationCollectionPersistData
    extends Object

Data for persisting configuration collections.

### Constructor Summary

Constructors
`ConfigurationCollectionPersistData​(@NotNull Collection<ConfigurationPersistData> items)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull Collection<ConfigurationPersistData>` `getItems()`
`@Nullable Map<String,​Object>` `getProperties()`
`ConfigurationCollectionPersistData` `properties​(Map<String,​Object> value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationCollectionPersistData

    public ConfigurationCollectionPersistData​(@NotNull
                                              @NotNull Collection<ConfigurationPersistData> items)

Parameters:
  `items` - Collection of configuration collection items

### Method Detail

#### getItems

    @NotNull
    public @NotNull Collection<ConfigurationPersistData> getItems()

Returns:
  Collection of configuration collection items

#### getProperties

    @Nullable
    public @Nullable Map<String,​Object> getProperties()

Returns:
  Properties for the configuration collection itself. Does not contain configuration data, but control data e.g. for enabling collection inheritance.

#### properties

    public ConfigurationCollectionPersistData properties​(Map<String,​Object> value)

Parameters:
  `value` - Properties for the configuration collection itself. Does not contain configuration data, but control data e.g. for enabling collection inheritance.
Returns:
  this